.step15
    YuriHeader(
        title="Firma"
        tag="Quiero invertir"
    )

    b-row
        b-col(cols="12" md="10" lg="9")
            .header.points.bg-grey.mt-5.p-4
                .l-title.bg-grey.mx-0 ¿Preparado para firmar?
                .l-text.mt-4
                    p Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia

            .docs
                .l-subtitle Documentación
                .l-text.mt-4.px-md-4.px-lg-5
                    p Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia

                .d-flex.align-items-center.py-4.justify-content-center(v-if="loading")
                    Spinner(text="Cargando la documentación")
                .points.bg-grey.p-3.p-md-4.p-lg-5.mt-5(v-else)
                    .l-text
                        ul.list-unstyled.p-0.m-0
                            li.docs__document(v-if="accountDocuments")
                                b.l-text.color-brand Cuenta
                                .cursor-pointer.pl-3(
                                    v-for="(item, indexAccount) in accountDocuments"
                                    :key="`account_doc_${indexAccount}`"
                                    @click="handleDownloadDocument(item, 'accounts')"
                                )
                                    i.fal.fa-file.mr-2.color-brand
                                    span.l-text {{ $t(`documents.categories.${item.key_category}`) }}
                                    span.l-text.mx-1.text-muted //
                                    span.l-text {{ $t(`documents.subcategories.${item.key_subcategory}`) }}
                            li.docs__document(v-if="intervenersDocuments.length")
                                b.l-text.color-brand Intervinientes
                                .cursor-pointer(v-for="(item, indexInterveners) in intervenersDocuments" :key="`intervener_doc_${indexInterveners}`")
                                    .l-text.mb-1.font-weight-bold.mt-2.pl-3 {{ item.intervener.name }} {{ item.intervener.lastname_1 }} {{ item.intervener.lastname_2 }}
                                    div(v-if="item.documents.length")
                                        div.pl-3(
                                            v-for="(itemDoc, indexIntervenersDoc) in item.documents"
                                            :key="`intervener_doc_${indexIntervenersDoc}`"
                                            @click="handleDownloadDocument(item, 'interveners')"
                                        )
                                            i.fal.fa-file.mr-2.color-brand
                                            span.l-text {{ $t(`documents.categories.${itemDoc.key_category}`) }}
                                            span.l-text.mx-1.text-muted //
                                            span.l-text {{ $t(`documents.subcategories.${itemDoc.key_subcategory}`) }}
                                    .alert.alert-light.small.ml-3(v-else) No hay documentación que firmar
                            li.docs__document(v-if="operationsDocuments.length")
                                b.l-text.color-brand Operaciones
                                .cursor-pointer(
                                    v-for="(item, indexOperations) in operationsDocuments"
                                    :key="`operations_doc_${indexOperations}`"
                                    @click="handleDownloadDocument(item, 'operations')"
                                )
                                    .l-text.mb-1.font-weight-bold.mt-2.pl-3 {{ item.operation.alias }}
                                    div.pl-3(v-for="(itemDoc, indexOperationsDoc) in item.documents" :key="`intervener_doc_${indexOperationsDoc}`")
                                        i.fal.fa-file.mr-2.color-brand
                                        span.l-text {{ $t(`documents.categories.${itemDoc.key_category}`) }}
                                        span.l-text.mx-1.text-muted //
                                        span.l-text {{ $t(`documents.subcategories.${itemDoc.key_subcategory}`) }}

            b-row.buttons.ml-lg-4(v-if="!loading")
                b-col(cols="12")
                    .d-flex.flex-wrap
                        div(
                            class="e-btn e-btn__brand"
                            @click="handleNext"
                        ) Firmar
                b-col(cols="12")
                    .d-flex.mt-3.mt-md-4.mb-5.justify-content-center.justify-content-md-start
                        RouterLink(:to="{ path: 'paso17'}")
                            u.color-brand.mt-3.d-block.text-center.cursor-pointer Mejor en otro momento